org.jboss.netty.channel

## Class ChannelPipelineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelException
        - - org.jboss.netty.channel.ChannelPipelineException

- All Implemented Interfaces:
    Serializable

      public class ChannelPipelineException
      extends ChannelException

  A `ChannelException` which is thrown when a `ChannelPipeline` failed to process a `ChannelEvent` or when a `ChannelPipelineFactory` failed to initialize a `ChannelPipeline`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelPipelineException()` Creates a new instance.
    `ChannelPipelineException(String message)` Creates a new instance.
    `ChannelPipelineException(String message, Throwable cause)` Creates a new instance.
    `ChannelPipelineException(Throwable cause)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelPipelineException

          public ChannelPipelineException()

      Creates a new instance.

    - #### ChannelPipelineException

          public ChannelPipelineException(String message,
                                  Throwable cause)

      Creates a new instance.

    - #### ChannelPipelineException

          public ChannelPipelineException(String message)

      Creates a new instance.

    - #### ChannelPipelineException

          public ChannelPipelineException(Throwable cause)

      Creates a new instance.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.